@charset "utf-8";

body {
    background-image: url(../img/bg.jpg);
	background-repeat: no-repeat;
	background-position: center center;
	background-size: cover;
	background-color: #000;
	min-height: 100vh;
    margin: 0;
    padding: 0;
}
ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: #000;
    display: flex;
    justify-content: center;
    align-items: center; /* Centrerar allt vertikalt i menyn */
}

ul li a {
    display: block;
    color: #FFF;
    text-align: center;
    padding: 20px 20px; /* Lite mer luft på sidorna */
    
    /* Detta är din standardfont för "Hem" */
    font-family: "BBH Bogle", sans-serif; 
    
    font-size: 36px;
    font-style: normal;
    text-decoration: none;
    
    /* För att ikoner ska centreras snyggt med texten */
    display: flex;
    align-items: center;
    height: 40px; 
}

ul li a:hover {
    background-color: #000;
    color: #FFF;
    border-top: 6px solid #D3D3D3;
}

.active {
    background-color: #000;
    border-top: 8px solid #D3D3D3; 
}

/* --- NYA REGLER HÄR --- */

/* Font 1 - Lobster */
.font-style-1 {
    font-family: 'Lobster', cursive;
}

/* Font 2 - Oswald */
.font-style-2 {
    font-family: 'Oswald', sans-serif;
    text-transform: uppercase; /* Gör texten till versaler */
}

/* Justering för Ikoner så de blir stora nog */
.material-icons {
    font-size: 36px; /* Samma storlek som din text */
}